# Uses of Class
com.ngrok.definitions.FailoverBackend

Packages that use FailoverBackend
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of FailoverBackend in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type FailoverBackend
  Modifier and Type
  Method
  Description
  `List<FailoverBackend>`
  FailoverBackendList.`getBackends()`
  the list of all Failover backends on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type FailoverBackend
  Modifier
  Constructor
  Description
  ``
  `FailoverBackendList(List<FailoverBackend> backends, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `FailoverBackendList`.

- ## Uses of FailoverBackend in com.ngrok.services

  Methods in com.ngrok.services that return FailoverBackend
  Modifier and Type
  Method
  Description
  `FailoverBackend`
  FailoverBackends.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `FailoverBackend`
  FailoverBackends.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `FailoverBackend`
  FailoverBackends.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type FailoverBackend
  Modifier and Type
  Method
  Description
  `CompletionStage<FailoverBackend>`
  FailoverBackends.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<FailoverBackend>`
  FailoverBackends.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<FailoverBackend>`
  FailoverBackends.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.